curl --request GET \
--url https://api.jtl-cloud.com/erp/invoices/{invoiceId}/lineitems \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/invoices/{invoiceId}/lineitems"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/invoices/{invoiceId}/lineitems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"InvoiceId": 123,
"SalesOrderId": 123,
"SalesOrderLineItemId": 123,
"ItemId": 123,
"Name": "Awesome Binoculars",
"SKU": "ART2394871",
"Type": 0,
"Quantity": 2,
"SalesUnit": "stk",
"SalesPriceNet": 16.8,
"SalesPriceGross": 19.99,
"Discount": 5,
"PurchasePriceNet": 13.46,
"TaxRate": 19
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Query Invoice Line Items
Query all line items for a specific invoice
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
Response
The requested line items.
Name of the item.
"Awesome Binoculars"
SKU of the sales invoice item.
"ART2394871"
0 = CustomLineItem, 1 = Item, 2 = Shipping, 3 = Coupon, 4 = Voucher, 5 = Payment, 6 = ShippingSurcharge, 7 = NewCustomerCoupon, 8 = CashOnDelivery, 9 = ShippingSurchargeItem, 10 = GiftWrapping, 11 = GiftForFree, 12 = TrustedShops, 13 = InterestPremium, 14 = ProcessingFee, 15 = Carton, 16 = ReturnDelivery, 17 = MultiPurposeVoucher, 18 = MultiPurposeVoucherDigital, 19 = SinglePurposeVoucher, 20 = SinglePurposeVoucherDigital, 21 = SinglePurposeVoucherRedemption
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21 The quantity of the line item.
2
The measurement unit in which the line item is sold.
"stk"
The net sales price of the line item.
16.8
The gross sales price of the line item.
19.99
The discount applied to the line item.
5
The price for which the merchant has bought the item.
13.46
The tax rate of the line item.
19
Was this page helpful?